Package org.jboss.resteasy.plugins.providers.multipart

## Class AbstractMultipartFormDataWriter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter
  - - org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartFormDataWriter

- Direct Known Subclasses:
    `MapMultipartFormDataWriter`, `MultipartFormAnnotationWriter`, `MultipartFormDataWriter`

      public class AbstractMultipartFormDataWriter
      extends AbstractMultipartWriter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

      `COLON_SPACE_BYTES, DOUBLE_DASH_BYTES, LINE_SEPARATOR_BYTES, workers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractMultipartFormDataWriter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CompletionStage<Void>` | `asyncWriteParts​(MultipartOutput multipartOutput, AsyncOutputStream entityStream, byte[] boundaryBytes)` |
    `protected void` | `writeParts​(MultipartOutput multipartOutput, OutputStream entityStream, byte[] boundaryBytes)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.AbstractMultipartWriter

      `asyncWrite, asyncWritePart, write, writePart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMultipartFormDataWriter

          public AbstractMultipartFormDataWriter()

  - ### Method Detail

    - #### writeParts

          protected void writeParts​(MultipartOutput multipartOutput,
                                    OutputStream entityStream,
                                    byte[] boundaryBytes)
                             throws IOException

      Overrides:
        `writeParts` in class `AbstractMultipartWriter`
      Throws:
        `IOException`

    - #### asyncWriteParts

          protected CompletionStage<Void> asyncWriteParts​(MultipartOutput multipartOutput,
                                                          AsyncOutputStream entityStream,
                                                          byte[] boundaryBytes)

      Overrides:
        `asyncWriteParts` in class `AbstractMultipartWriter`